Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.table
Interface Row

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable, oracle.dms.table.TableBase

public interface Row
extends oracle.dms.table.TableBase

`Row` contains the column names and values of the metric table.

Since:
  Oracle Application Server 10g (10.1.3)

Method Summary
`int` | `columnCount()` Gets the number of the columns in this `Row`.
`boolean` | `containsColumn(java.lang.String name)` Returns `true` if this `Row` contains the given column.
`java.util.Enumeration` | `enumerateNames(boolean sorted)` Enumerates column names this `Row` contains as `String`s.
`Key` | `getKey()` Returns the `Key` object of this `Row`.
`Key` | `getKey(boolean reset)` Returns the `Key` object of this `Row`.
`java.lang.String[]` | `getNames()` Returns the names of the columns in this `Row` as an array.
`Table` | `getTable()` Gets the `Table` containing this object.
`java.lang.String` | `getType(java.lang.String name)` Gets the type of the column value.
`byte` | `getTypeID(java.lang.String name)` Gets the numerical type ID of the column value.
`java.io.Serializable` | `getValue(java.lang.String name)` Returns the value of the given column.

Method Detail

### columnCount

    public int columnCount()

  Gets the number of the columns in this `Row`. Some columns without values may be omitted.
  Returns:
    the number of the columns in this `Row`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getNames

    public java.lang.String[] getNames()

  Returns the names of the columns in this `Row` as an array. Some columns without values may be omitted.
  Returns:
    the names of the columns in this `Row` as an array.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `enumerateNames(boolean sorted)`

### containsColumn

    public boolean containsColumn(java.lang.String name)

  Returns `true` if this `Row` contains the given column.
  Parameters:
    `name` - the name of the column.
  Returns:
    `true` if this `Row` contains the given column.
  Since:
    Oracle Application Server 10g (10.1.3)

### enumerateNames

    public java.util.Enumeration enumerateNames(boolean sorted)

  Enumerates column names this `Row` contains as `String`s. Some columns without values may be omitted.
  Parameters:
    `sorted` - `true` enumerates column names in the acsending order.
  Returns:
    `Enumeration` object for enumerating column names this `Row` contains as `String`s.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `getNames()`

### getValue

    public java.io.Serializable getValue(java.lang.String name)

  Returns the value of the given column. Returns `ErrorObject.ERROR_OBJECT` if the given name is `null`.
  Parameters:
    `name` - the name of the column.
  Returns:
    the value of the given column. Returns `ErrorObject.ERROR_OBJECT` if the given name is `null`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getKey

    public Key getKey()

  Returns the `Key` object of this `Row`. This method generates a new `Key` instance at the first invocation. The subsequent calls will return the same `Key` instance. Calling this method is the same as calling `getKey(false)`.
  Returns:
    `Key` object of this `Row`.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `getKey(boolean reset)`

### getKey

    public Key getKey(boolean reset)

  Returns the `Key` object of this `Row`.
  Parameters:
    `reset` - `true` generates a new instance of `Key`.
  Returns:
    the `Key` object of this `Row`.
  Since:
    Oracle Application Server 10g (10.1.3)
  See Also:
    `getKey()`

### getType

    public java.lang.String getType(java.lang.String name)

  Gets the type of the column value.
  Parameters:
    `name` - the name of the column.
  Returns:
    the type of the column value. It must be one of "`Integer`", "`Long`", "`Double`", and "`String`".
  Since:
    Oracle Application Server 10g (10.1.3)

### getTypeID

    public byte getTypeID(java.lang.String name)

  Gets the numerical type ID of the column value.
  Parameters:
    `name` - the name of the column.
  Returns:
    the numerical type ID of the column value. It must be one of `ColumnDefinition.INTEGER`, `ColumnDefinition.LONG`, `ColumnDefinition.DOUBLE`, and `ColumnDefinition.STRING`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getTable

    public Table getTable()

  Gets the `Table` containing this object.
  Returns:
    the `Table` containing this object.
  Since:
    Oracle Application Server 10g (10.1.3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.